org.apache.ignite.internal.processors.cache.distributed

## Class GridDistributedTxFinishResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishResponse

All Implemented Interfaces:
  Serializable, Message

Direct Known Subclasses:
  GridDhtTxFinishResponse, GridNearTxFinishResponse

    public class GridDistributedTxFinishResponse
    extends GridCacheMessage

Transaction finish response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDistributedTxFinishResponse()` Empty constructor required by `GridIoMessageFactory`.
`GridDistributedTxFinishResponse(int part, GridCacheVersion txId, IgniteUuid futId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDeploymentInfo()` Deployment enabled flag indicates whether deployment info has to be added to this message.
`boolean` `cacheGroupMessage()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `futureId()`
`int` `handlerId()`
`protected boolean` `isFlag(int mask)` Reags flag mask.
`IgniteLogger` `messageLogger(GridCacheSharedContext ctx)`
`int` `partition()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`protected void` `setFlag(boolean flag, int mask)` Sets flag mask.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.
`GridCacheVersion` `xid()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDistributedTxFinishResponse

    public GridDistributedTxFinishResponse()

Empty constructor required by `GridIoMessageFactory`.

#### GridDistributedTxFinishResponse

    public GridDistributedTxFinishResponse(int part,
                                           GridCacheVersion txId,
                                           IgniteUuid futId)

Parameters:
  `part` - Partition.
  `txId` - Transaction id.
  `futId` - Future ID.

### Method Detail

#### handlerId

    public int handlerId()

Specified by:
  `handlerId` in class `GridCacheMessage`
Returns:
  ID to distinguish message handlers for the same messages but for different caches/cache groups.

#### cacheGroupMessage

    public boolean cacheGroupMessage()

Specified by:
  `cacheGroupMessage` in class `GridCacheMessage`
Returns:
  `True` if cache group message.

#### partition

    public final int partition()

Overrides:
  `partition` in class `GridCacheMessage`
Returns:
  Partition ID this message is targeted to or `-1` if it cannot be determined.

#### setFlag

    protected final void setFlag(boolean flag,
                                 int mask)

Sets flag mask.

Parameters:
  `flag` - Set or clear.
  `mask` - Mask.

#### isFlag

    protected final boolean isFlag(int mask)

Reags flag mask.

Parameters:
  `mask` - Mask to read.
Returns:
  Flag value.

#### xid

    public GridCacheVersion xid()

Returns:
  Transaction id.

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### addDeploymentInfo

    public boolean addDeploymentInfo()

Deployment enabled flag indicates whether deployment info has to be added to this message.

Specified by:
  `addDeploymentInfo` in class `GridCacheMessage`
Returns:
  `true` or if deployment info must be added to the the message, `false` otherwise.

#### messageLogger

    public IgniteLogger messageLogger(GridCacheSharedContext ctx)

Overrides:
  `messageLogger` in class `GridCacheMessage`
Parameters:
  `ctx` - Context.
Returns:
  Logger.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridCacheMessage`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheMessage`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018